import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataGitlabReleaseLinksConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/gitlab/d/release_links#id DataGitlabReleaseLinks#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * The ID or full path to the project.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/gitlab/d/release_links#project DataGitlabReleaseLinks#project}
    */
    readonly project: string;
    /**
    * The tag associated with the Release.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/gitlab/d/release_links#tag_name DataGitlabReleaseLinks#tag_name}
    */
    readonly tagName: string;
}
export interface DataGitlabReleaseLinksReleaseLinks {
}
export declare function dataGitlabReleaseLinksReleaseLinksToTerraform(struct?: DataGitlabReleaseLinksReleaseLinks): any;
export declare class DataGitlabReleaseLinksReleaseLinksOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param complexObjectIndex the index of this item in the list
    * @param complexObjectIsFromSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, complexObjectIndex: number, complexObjectIsFromSet: boolean);
    get internalValue(): DataGitlabReleaseLinksReleaseLinks | undefined;
    set internalValue(value: DataGitlabReleaseLinksReleaseLinks | undefined);
    get directAssetUrl(): string;
    get external(): cdktf.IResolvable;
    get filepath(): string;
    get linkId(): number;
    get linkType(): string;
    get name(): string;
    get project(): string;
    get tagName(): string;
    get url(): string;
}
export declare class DataGitlabReleaseLinksReleaseLinksList extends cdktf.ComplexList {
    protected terraformResource: cdktf.IInterpolatingParent;
    protected terraformAttribute: string;
    protected wrapsSet: boolean;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    * @param wrapsSet whether the list is wrapping a set (will add tolist() to be able to access an item via an index)
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string, wrapsSet: boolean);
    /**
    * @param index the index of the item to return
    */
    get(index: number): DataGitlabReleaseLinksReleaseLinksOutputReference;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/gitlab/d/release_links gitlab_release_links}
*/
export declare class DataGitlabReleaseLinks extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "gitlab_release_links";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/gitlab/d/release_links gitlab_release_links} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataGitlabReleaseLinksConfig
    */
    constructor(scope: Construct, id: string, config: DataGitlabReleaseLinksConfig);
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _project?;
    get project(): string;
    set project(value: string);
    get projectInput(): string | undefined;
    private _releaseLinks;
    get releaseLinks(): DataGitlabReleaseLinksReleaseLinksList;
    private _tagName?;
    get tagName(): string;
    set tagName(value: string);
    get tagNameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
